Mutate issues in batch
curl --request POST \
--url https://api.uselemma.ai/issues/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"issue_ids": [
"<string>"
],
"dismissal_detail": "<string>",
"flagged": true,
"user_id": "<string>",
"tag_id": "<string>",
"attached": true
}
'import requests
url = "https://api.uselemma.ai/issues/batch"
payload = {
"issue_ids": ["<string>"],
"dismissal_detail": "<string>",
"flagged": True,
"user_id": "<string>",
"tag_id": "<string>",
"attached": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
issue_ids: ['<string>'],
dismissal_detail: '<string>',
flagged: true,
user_id: '<string>',
tag_id: '<string>',
attached: true
})
};
fetch('https://api.uselemma.ai/issues/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"issue_id": "<string>",
"ok": true,
"project_id": "<string>"
}
],
"project_id": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}Issues
Mutate issues in batch
Apply one discriminated batch mutation: status, start-review, flag, assignee, or tag. Mixed item-level failures return HTTP 200. Successful items are not rolled back.
POST
/
issues
/
batch
Mutate issues in batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
status, start-review, flag, assignee, tag Available options:
open, in_progress, resolved, dismissed Accepted values: False positive, Working as intended, Test or synthetic traffic, Acceptable edge case, Known limitation, Out of scope
Available options:
False positive, Working as intended, Test or synthetic traffic, Acceptable edge case, Known limitation, Out of scope ⌘I